-- Tabelle mit nvarchchar(max) anlegen
CREATE TABLE Production.ProductReview2 (
 ProductReviewID int NOT NULL PRIMARY KEY,
 Comments nvarchar(max) NULL
)
-- Daten bernehmen
INSERT INTO Production.ProductReview2
SELECT ProductReviewID, Comments
  FROM Production.ProductReview
GO
-- Tabellenvariable anlegen
DECLARE @review table (
    ProductReviewID int NOT NULL,
    CommentsBefore nvarchar(max),
    CommentsAfter  nvarchar(max))
-- Daten aktualisieren
BEGIN TRANSACTION
UPDATE Production.ProductReview2
   SET Comments.WRITE (N'(Sizes: 38-44, 48) ',15, 0)
OUTPUT INSERTED.ProductReviewID,
       DELETED.Comments, 
       INSERTED.Comments 
    INTO @review
WHERE ProductReviewID = 4
ROLLBACK
-- Kontrolle
SELECT SUBSTRING(CommentsBefore, 1, 20), SUBSTRING(CommentsAfter, 1, 30) 
FROM @review

-- Ergebnis
/*
(1 Zeile(n) betroffen) 
----------------------- -------------------------------
The Road-550-W from     The Road-550-W (Sizes: 38-44,
(1 Zeile(n) betroffen)
*/