USE AW
GO
-- Schema anlegen
CREATE SCHEMA Sales AUTHORIZATION dbo
GO
-- Tabelle anlegen
CREATE TABLE Sales.SalesOrderHeader(
	SalesOrderID int IDENTITY(1,1) NOT NULL,
	OrderDate    datetime          NOT NULL,
	CustomerID   int               NOT NULL,
	TotalDue     money             NOT NULL
 CONSTRAINT PK_SalesOrderHeader_SalesOrderID PRIMARY KEY CLUSTERED (
	SalesOrderID ASC
) WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]
GO

-- Alternative: Tabelle sofort auf Partitionierung beziehen
DROP TABLE Sales.SalesOrderHeader
GO
CREATE TABLE Sales.SalesOrderHeader(
	SalesOrderID int IDENTITY(1,1) NOT NULL,
	OrderDate    datetime          NOT NULL,
	CustomerID   int               NOT NULL,
	TotalDue     money             NOT NULL
 CONSTRAINT PK_SalesOrderHeader_SalesOrderID 
 PRIMARY KEY CLUSTERED ( OrderDate, SalesOrderID ASC ) 
  ON ps_OrderYear(OrderDate)
) ON ps_OrderYear(OrderDate)
GO
