USE AW
GO
-- Primrschlssel lschen
ALTER TABLE Sales.SalesOrderHeader
DROP CONSTRAINT PK_SalesOrderHeader_SalesOrderID
-- Primrschlssel geclustert erstellen
ALTER TABLE Sales.SalesOrderHeader
ADD CONSTRAINT PK_SalesOrderHeader_SalesOrderID 
    PRIMARY KEY CLUSTERED ( OrderDate, SalesOrderID ASC ) 
    ON ps_OrderYear(OrderDate)

-- Test
SELECT O.Name as TableName, I.Name as IndexName, I.Type, I.type_desc as IndexType, ps.name as PartitionSchema
FROM sys.objects O INNER JOIN sys.partitions p 
  on P.object_id = O.object_id
                   INNER JOIN sys.indexes i 
  on p.object_id = i.object_id 
  and p.index_id = i.index_id
                   INNER JOIN sys.data_spaces ds 
  on i.data_space_id = ds.data_space_id
                   INNER JOIN sys.partition_schemes ps 
  on ds.data_space_id = ps.data_space_id
WHERE p.partition_number = 1