USE AW
GO
-- Schema erstellen
CREATE SCHEMA Sales AUTHORIZATION dbo
GO
-- Partitionierungsfunktion erstellen
CREATE PARTITION FUNCTION pf_OrderYear(datetime) 
AS RANGE LEFT 
FOR VALUES (N'2011-12-31T00:00:00', N'2012-12-31T00:00:00', 
			N'2013-12-31T00:00:00', N'2014-12-31T00:00:00',
			N'2015-12-31T00:00:00')
-- Partitionierungsschema erstellen
CREATE PARTITION SCHEME ps_OrderYear
AS PARTITION pf_OrderYear
TO (Sales, Sales, Sales, Sales, Sales, Sales)
GO
-- Tabelle erstellen
CREATE TABLE Sales.SalesOrderHeader(
	SalesOrderID int IDENTITY(1,1) NOT NULL,
	OrderDate    datetime          NOT NULL,
	CustomerID   int               NOT NULL,
	TotalDue     money             NOT NULL
 CONSTRAINT PK_SalesOrderHeader_SalesOrderID 
 PRIMARY KEY CLUSTERED ( OrderDate, SalesOrderID ASC ) 
  ON ps_OrderYear(OrderDate)
) ON ps_OrderYear(OrderDate)
GO
