-- Zustzliche FROM-Klausel / OUTPUT-Klausel
-- Variable erstellen
DECLARE @outputTable table(ProductID    int,
                           ListPrice    money,
                           LocationID   int)
-- Daten lschen und abrufen
BEGIN TRANSACTION
DELETE FROM Production.Product2
OUTPUT DELETED.ProductID, DELETED.ListPrice, pinv.LocationID
  INTO @outputTable (ProductID, ListPrice, LocationID)
  FROM Production.Product2 AS p2 LEFT OUTER JOIN Production.ProductInventory AS pinv
    ON p2.ProductID = pinv.ProductID
WHERE pinv.LocationID IS NULL
-- berprfung
SELECT COUNT(*) AS Deleted FROM @outputTable
ROLLBACK
-- Ergebnis
/*
(66 Zeile(n) betroffen)
Deleted
-----------
66
(1 Zeile(n) betroffen)
*/