USE [AW-Tuning]
GO

-- Primrschlssel und Fremdschlssel lschen
ALTER TABLE [Production].[Product] 
DROP CONSTRAINT [PK_Product]
GO
ALTER TABLE [Production].[Product]
DROP CONSTRAINT [FK_Product_ProductSubcategory]
GO
ALTER TABLE [Production].[ProductSubcategory] 
DROP CONSTRAINT [PK_ProductSubcategory]
GO
ALTER TABLE [Production].[ProductSubcategory]
DROP CONSTRAINT [FK_ProductSubcategory_ProductCategory]
GO
ALTER TABLE [Production].[ProductCategory] 
DROP CONSTRAINT [PK_ProductCategory]
GO

-- Primrschlssel erstellen
ALTER TABLE [Production].[Product] 
ADD  CONSTRAINT [PK_Product] PRIMARY KEY CLUSTERED 
( [ProductID] ASC )
WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, 
      IGNORE_DUP_KEY = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON)
GO
ALTER TABLE [Production].[ProductCategory] 
ADD  CONSTRAINT [PK_ProductCategory] PRIMARY KEY CLUSTERED 
( [ProductCategoryID] ASC )
WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, 
IGNORE_DUP_KEY = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON)
GO
ALTER TABLE [Production].[ProductSubcategory]
 ADD  CONSTRAINT [PK_ProductSubcategory] PRIMARY KEY CLUSTERED 
( [ProductSubcategoryID] ASC )
WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, 
IGNORE_DUP_KEY = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON)
GO

-- Fremdschlssel erstellen
-- [ProductSubcategory]
ALTER TABLE [Production].[ProductSubcategory]  WITH CHECK 
ADD  CONSTRAINT [FK_ProductSubcategory_ProductCategory] 
FOREIGN KEY([ProductCategoryID]) REFERENCES [Production].[ProductCategory] ([ProductCategoryID])
GO
ALTER TABLE [Production].[ProductSubcategory] CHECK CONSTRAINT [FK_ProductSubcategory_ProductCategory]
GO
-- [Product]
ALTER TABLE [Production].[Product]  WITH CHECK
ADD  CONSTRAINT [FK_Product_ProductSubcategory] 
FOREIGN KEY([ProductSubcategoryID]) REFERENCES [Production].[ProductSubcategory] ([ProductSubcategoryID])
GO
ALTER TABLE [Production].[Product] CHECK CONSTRAINT [FK_Product_ProductSubcategory]
GO