USE [AW-Tuning]
GO
DROP INDEX [ix_ProductDetails] ON [Production].[Product]
GO
-- Gruppierter Index
CREATE UNIQUE CLUSTERED INDEX [ix_ProductNumber] 
       ON [Production].[Product] 
  (	[ProductNumber] ASC )
 WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, 
       SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, 
	   DROP_EXISTING = OFF, ONLINE = OFF, 
	   ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) 
  ON [PRIMARY]
GO
USE [AW-Tuning]
GO
-- Primrschlssel = Gruppierter Index
ALTER TABLE [Production].[Product]
ADD  CONSTRAINT [PK_Product] PRIMARY KEY NONCLUSTERED 
( [ProductID] ASC )
WITH ( PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, 
       SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF,
	   ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON)
ON [PRIMARY]
GO
-- Mehrspaltiger Index mit Filter
CREATE NONCLUSTERED INDEX [ix_ProductDetails] 
       ON [Production].[Product]
( [Color]       ASC,
  [Size]        ASC,
  [ProductLine] ASC )
WHERE ( [ProductSubcategoryID] IS NOT NULL )
WITH ( PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF,
       DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, 
	   ALLOW_PAGE_LOCKS = ON )
ON [PRIMARY]
GO

-- Zustzliche Spalten
CREATE UNIQUE NONCLUSTERED INDEX [ix_OrderDetails] 
ON [Sales].[SalesOrderHeader]
(
	[SalesOrderNumber] ASC,
	[OrderDate]        DESC,
	[AccountNumber]    ASC,
	[TotalDue]         ASC
)
INCLUDE ( [Comment] ) 
WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF,
      IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON)
GO











