USE [AW-Tuning]
GO
DROP VIEW [dbo].[v_ProductCatalog]
GO
CREATE VIEW [dbo].[v_ProductCatalog]
WITH SCHEMABINDING AS
SELECT pc.Name AS Category, psc.Name AS Subcategory, p.Name AS Product, 
       p.ProductID, p.ProductNumber, p.Color, p.ListPrice, p.Size, p.Weight
  FROM Production.Product AS p INNER JOIN Production.ProductSubcategory AS psc
    ON p.ProductSubcategoryID = psc.ProductSubcategoryID 
	                           INNER JOIN Production.ProductCategory AS pc 
    ON psc.ProductCategoryID = pc.ProductCategoryID
GO
-- Gruppierter Index (Voraussetzung fr weitere Indizes)
CREATE UNIQUE CLUSTERED INDEX [ix_ProductID] 
       ON [dbo].[v_ProductCatalog]
( [ProductID])
WITH ( PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF,
       DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, 
	   ALLOW_PAGE_LOCKS = ON )
GO
-- Index fr Sicht
CREATE NONCLUSTERED INDEX [ix_Categories] 
       ON [dbo].[v_ProductCatalog]
( [Product], [Subcategory], [Category] )
WITH ( PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF,
       DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, 
	   ALLOW_PAGE_LOCKS = ON )
GO