USE [master]
GO
ALTER DATABASE [AW-Tuning] ADD FILEGROUP [Sales]
GO
ALTER DATABASE [AW-Tuning] 
ADD FILE ( NAME = N'Sales', 
           FILENAME = N'C:\Program Files\Microsoft SQL Server\MSSQL12.MSSQLSERVER\MSSQL\DATA\Sales.mdf' ,
		   SIZE = 3072KB, FILEGROWTH = 1024KB ) 
		   TO FILEGROUP [Sales]
GO

-- Partitionierung
USE [AW-Tuning]
GO
BEGIN TRANSACTION
-- Partitionsfunktion
CREATE PARTITION FUNCTION [pf_SalesOrderYear](datetime) 
AS RANGE LEFT FOR VALUES (N'2012-12-31T00:00:00', N'2014-12-31T00:00:00')
-- Partitionsschema
CREATE PARTITION SCHEME [ps_SalesOrderYear]
AS PARTITION [pf_SalesOrderYear] TO ([Sales], [Sales], [Sales])
-- Gruppierter Index (aligned / ausgerichtet)
CREATE CLUSTERED INDEX [ix_ps_SalesOrderYear] ON [Sales].[SalesOrderHeader]
(	[OrderDate] )
WITH (SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF) 
ON [ps_SalesOrderYear]([OrderDate])
COMMIT TRANSACTION

-- Nicht gruppierter Index
CREATE NONCLUSTERED INDEX [ix_Status]
ON [Sales].[SalesOrderHeader]
(	[Status] ASC )
WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF,
DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, 
ALLOW_PAGE_LOCKS = ON)
ON [ps_SalesOrderYear]([OrderDate])
GO

