-- Anzahl von Produkte pro Subkategorie
-- Durchschnittliche, maxi-/minimale Produktionsdauer
SELECT ProductSubcategoryID   AS Kategorie,
       COUNT(*)               AS Anzahl,
       AVG(DaysToManufacture) AS [Prod-Tage],
       MAX(DaysToManufacture) AS Maxi,
       MIN(DaysToManufacture) AS Mini
  FROM Production.Product
  GROUP BY ProductSubcategoryID
 HAVING COUNT(*) > 10
    AND AVG(DaysToManufacture) != 0
  ORDER BY ProductSubcategoryID

-- Ergebnis
/*
Kategorie   Anzahl      Prod-Tage   Maxi        Mini
----------- ----------- ----------- ----------- -----------
1           32          4           4           4
2           43          4           4           4
3           22          4           4           4
12          28          1           2           1
14          33          1           2           1
16          18          1           1           1
17          14          1           1           1
*/