-- Liste aller ManagerIDs
SELECT DISTINCT ManagerID AS EmployeeID
  FROM HumanResources.Employee
 WHERE ManagerID IS NOT NULL

-- Ergebnis
/*
EmployeeID
-----------
3
6
7
*/

-- Liste der EmployeeIDs und ContactIDs
SELECT emp.EmployeeID, ContactID
  FROM (SELECT DISTINCT ManagerID AS EmployeeID
          FROM HumanResources.Employee
         WHERE ManagerID IS NOT NULL) AS man
               INNER JOIN HumanResources.Employee AS emp
    ON emp.EmployeeID = man.EmployeeID

-- Ergebnis
/*
EmployeeID  ContactID
----------- -----------
3           1002
6           1028
7           1070
*/

-- Liste aller Fhrungskrfte
SELECT EmployeeID, FirstName, LastName
  FROM Person.Contact AS c
       INNER JOIN 
       (SELECT emp.EmployeeID, ContactID
          FROM (SELECT DISTINCT ManagerID AS EmployeeID
                  FROM HumanResources.Employee
                 WHERE ManagerID IS NOT NULL) AS man
               INNER JOIN HumanResources.Employee AS emp
            ON emp.EmployeeID = man.EmployeeID) AS emp
    ON c.ContactID = emp.ContactID

-- Ergebnis
/*
EmployeeID  FirstName          LastName
----------- ------------------ ------------
3           Roberto            Tamburello
6           David              Bradley
7           JoLynn             Dobney
*/