-- Variablen
DECLARE @vDepID smallint,
        @vName nvarchar(50),
        @vGroupName nvarchar(50)
-- Cursorvariable deklarieren
DECLARE @cDepartment cursor
-- Cursorvariable mit Abfrage verbinden
SET @cDepartment = CURSOR SCROLL FOR
 SELECT TOP 5 DepartmentID, Name, GroupName
   FROM HumanResources.Department
SELECT @@CURSOR_ROWS AS Reihen,
       @@FETCH_STATUS AS [F-Status],
       CURSOR_STATUS('variable', '@cDepartment') AS [C-Status]
-- 1. Schritt: ffnen
OPEN @cDepartment
SELECT @@CURSOR_ROWS AS Reihen,
       @@FETCH_STATUS AS [F-Status],
       CURSOR_STATUS('variable', '@cDepartment') AS [C-Status]
-- 2. Schritt: Abrufen
FETCH FIRST FROM @cDepartment 
INTO @vDepID, @vName, @vGroupName
SELECT @@CURSOR_ROWS AS Reihen,
       @@FETCH_STATUS AS [F-Status],
       CURSOR_STATUS('variable', '@cDepartment') AS [C-Status]
-- 3. Schritt: Schlieen und lschen
CLOSE @cDepartment
SELECT @@CURSOR_ROWS AS Reihen,
       @@FETCH_STATUS AS [F-Status],
       CURSOR_STATUS('variable', '@cDepartment') AS [C-Status]
-- 4. Schritt: Lschen
DEALLOCATE @cDepartment
SELECT @@CURSOR_ROWS AS Reihen,
       @@FETCH_STATUS AS [F-Status],
       CURSOR_STATUS('variable', '@cDepartment') AS [C-Status]

-- Ergebnis
/*
Deklaration
Reihen      F-Status    C-Status
----------- ----------- --------
0           0           -1
1. Schritt: ffnen
Reihen      F-Status    C-Status
----------- ----------- --------
5           0           1
2. Schritt: Abrufen
Reihen      F-Status    C-Status
----------- ----------- --------
5           0           1
3. Schritt: Schlieen
Reihen      F-Status    C-Status
----------- ----------- --------
0           0           -1
4. Schritt: Lschen
Reihen      F-Status    C-Status
----------- ----------- --------
0           0           -2
*/