-- Erstellen einer Tabelle
IF OBJECT_ID ('Production.Product3', 'T') IS NOT NULL
 DROP TABLE Production.Product3
GO
CREATE TABLE Production.Product3 (
 Name          varchar(30)  NOT NULL,
 ProductNumber nvarchar(25) NOT NULL,
 ListPrice     money        NOT NULL,
 StandardCost  money        NULL)
GO
-- Transaktionsnamen als Variable erstellen
DECLARE @TranName varchar(20)
SET @TranName = 'Produkterfassung'
-- Transaktion starten
BEGIN TRANSACTION @TranName
-- DML-Anweisungen ausfhren
DELETE FROM Production.Product3
INSERT INTO Production.Product3
VALUES ('LL Mountain Seat Assembly', 'SA-M198', 133.34, 98.77)
INSERT INTO Production.Product3
VALUES ('ML Mountain Seat Assembly', 'SA-M237', 147.14,
                                                108.99)
-- Test: Eingetragene Datenstze und Status
SELECT COUNT(*) AS Eingetragen,
       @@TRANCOUNT AS [T-Count],
       XACT_STATE() AS Status
 FROM Production.Product3
-- Besttigen
COMMIT TRANSACTION Produkterfassung
-- Test: Eingetragene Datenstze und Status
SELECT COUNT(*) AS Eingetragen,
       @@TRANCOUNT AS [T-Count],
       XACT_STATE() AS Status
 FROM Production.Product3

-- Ergebnis
/*
(2 Zeile(n) betroffen)
(1 Zeile(n) betroffen)
(1 Zeile(n) betroffen)
Eingetragen T-Count     Status
----------- ----------- ------
2           1           1
Eingetragen T-Count     Status
----------- ----------- ------
2           0           0
*/