-- CTE: Mehrfache CTEs

WITH Sales (Customer, Turnover, Region, Year) AS (
 SELECT CustomerID, TotalDue, TerritoryID, YEAR(OrderDate)
   FROM Sales.SalesOrderHeader
),
SalesPerson AS (
 SELECT LastName AS Name, TerritoryID AS Region
   FROM Person.Contact AS c INNER JOIN HumanResources.Employee AS emp
     ON c.ContactID = emp.ContactID
                            INNER JOIN Sales.SalesPerson AS sp
     ON emp.EmployeeID = sp.SalesPersonID
)
SELECT Name, COUNT(Customer) AS Customers
  FROM Sales AS s INNER JOIN SalesPerson AS sp
    ON s.Region = sp.Region
GROUP BY Name

-- Ergebnis
/*
Name                                               Customers
-------------------------------------------------- -----------
Mensa-Annan                                        4594
Campbell                                           4594
Reiter                                             486
*/