-- Aggregate mit OVER() und Partitionen

SELECT YEAR, TerritoryID,
       SUM(TotalDue) OVER(PARTITION BY YEAR) AS Turnover,
       MIN(TotalDue) OVER(PARTITION BY YEAR) AS Min,
       AVG(TotalDue) OVER(PARTITION BY YEAR) AS Avg,
       (TotalDue / SUM(TotalDue) OVER(PARTITION BY YEAR) * 100) AS "%"  
  FROM (SELECT YEAR(OrderDate) AS Year, SUM(TotalDue) AS TotalDue, TerritoryID
          FROM Sales.SalesOrderHeader
         GROUP BY YEAR(OrderDate), TerritoryID) AS d
WHERE TerritoryID <= 3
ORDER BY 1,2

-- Ergebnis
/*
YEAR    Terr-ID Turnover       Min           Avg          %
------- ------- -------------- ------------- ------------ ----- 
2001    1       4722199,1016   754833,2045   1574066,3672 57,25
2001    2       4722199,1016   754833,2045   1574066,3672 15,98
2001    3       4722199,1016   754833,2045   1574066,3672 26,76
2002    1       12445196,3135  3275322,1694  4148398,7711 45,41
2002    2       12445196,3135  3275322,1694  4148398,7711 26,31
2002    3       12445196,3135  3275322,1694  4148398,7711 28,26
*/