-- Fenster-Akkumulation
SELECT s1.CustomerID,
       s1.OrderDate,
       s1.TotalDue AS Month,
       SUM(s2.TotalDue) AS Total,
       AVG(s2.TotalDue) AS Avg
  FROM dbo.##Sales AS s1 INNER JOIN dbo.##Sales AS s2
    ON s1.CustomerID = s2.CustomerID
   AND (CAST(s2.OrderDate+'-1' AS DATETIME) > DATEADD(MONTH, -3, CAST(s1.OrderDate+'-1' AS DATETIME))
        AND CAST(s2.OrderDate+'-1' AS DATETIME) <= CAST(s1.OrderDate+'-1' AS DATETIME))
 GROUP BY s1.CustomerID, s1.OrderDate, s1.TotalDue
 ORDER BY  s1.CustomerID, CAST(s1.OrderDate+'-1' AS DATETIME)

-- Ergebnis
/*
CustomerID  OrderDate Month         Total       Avg
----------- --------- ------------- ----------- -------------
1           2001-8    14603,7393    14603,7393  14603,7393
1           2001-11   26128,8674    40732,6067  20366,3033
1           2002-2    37643,1378    37643,1378  37643,1378
1           2002-5    34722,9906    72366,1284  36183,0642
2           2002-8    10184,0774    10184,0774  10184,0774
2           2002-11   5469,5941     15653,6715  7826,8357
2           2003-2    1739,4078     1739,4078   1739,4078
*/