-- Analytische Funktionen: ROW_NUMBER

IF OBJECT_ID('#Sales') IS NOT NULL
 DROP TABLE #Sales
GO
CREATE TABLE #Sales (
 TerritoryID int NULL,
 Year int NULL,
 Turnover money NULL
)
GO
INSERT INTO #Sales
SELECT TerritoryID,
       YEAR(OrderDate) AS Year,
       SUM(TotalDue)   AS Turnover
  FROM Sales.SalesOrderHeader
 GROUP BY YEAR(OrderDate), TerritoryID
 ORDER BY 1,2
GO
SELECT TerritoryID,
       Year,
       Turnover,
       ROW_NUMBER() OVER (ORDER BY Year) AS [RN-Y],
       ROW_NUMBER() OVER (ORDER BY Year,
                                   TerritoryID) AS [RN-YT],
       ROW_NUMBER() OVER (ORDER BY TerritoryID) AS [RN-T]
 FROM #Sales
ORDER BY Year, TerritoryID

-- Ergebnis
/*
TerritoryID Year  Turnover         RN-Y   RN-YT     RN-T
----------- ----- ---------------- ------ --------- ------
1           2001  2703481,7947     1       1        1
1           2001  2703481,7947     11      2        2
2           2001  754833,2045      12      3        15
2           2001  754833,2045      2       4        16
...
9           2004  3823410,2386     62      78       72
10          2004  3039555,8775     71      79       73
10          2004  3039555,8775     61      80       74
(80 Zeile(n) betroffen)
*/