-- Partition auf Basis einer CTE
WITH Sales AS (
 SELECT TerritoryID     AS Region,
        YEAR(OrderDate) AS [Year],
        SUM(TotalDue)   AS Turnover
  FROM Sales.SalesOrderHeader
GROUP BY TerritoryID, YEAR(OrderDate)
)
SELECT Region,
       [Year],
       Turnover,
       ROW_NUMBER() OVER(PARTITION BY [Year] ORDER BY Turnover) AS RN
  FROM Sales
WHERE Region BETWEEN 5 AND 7

-- Partititon
SELECT TerritoryID,
       YEAR(OrderDate) AS [Year],
       SUM(TotalDue)   AS Turnover,
       ROW_NUMBER() OVER(PARTITION BY YEAR(OrderDate)
                         ORDER BY SUM(TotalDue))  AS RN
  FROM Sales.SalesOrderHeader
WHERE TerritoryID BETWEEN 5 AND 7
GROUP BY TerritoryID, YEAR(OrderDate)

-- Ergebnis
/*
TerritoryID Year        Turnover              RN
----------- ----------- --------------------- --------------------
7           2001        199531,723            1
5           2001        1928148,6139          2
6           2001        2173647,1453          3
7           2002        1717145,7439          1
5           2002        3814944,144           2
6           2002        7215430,5017          3
5           2003        3261402,9982          1
7           2003        4366078,3475          2
6           2003        8186021,9178          3
5           2004        1566084,6664          1
7           2004        2853948,6596          2
6           2004        3926712,8926          3
(12 Zeile(n) betroffen)
*/