SELECT TerritoryID,
       SUM(TotalDue) AS Turnover,
       RANK() OVER (ORDER BY SUM(TotalDue))       AS R,
       DENSE_RANK() OVER (ORDER BY SUM(TotalDue)) AS DR,
       ROW_NUMBER() OVER (ORDER BY SUM(TotalDue)) AS RN
  FROM Sales.SalesOrderHeader
 GROUP BY TerritoryID
ORDER BY SUM(TotalDue)

-- Ergebnis
/*
TerritoryID Turnover              R        DR       RN
----------- --------------------- -------- -------- ---- 
8           5939763,4963          1        1        1
7           9136704,474           2        2        2
2           9269741,313           3        3        3
10          9506447,5896          4        4        4
3           10568959,1916         5        5        5
5           10570580,4225         6        6        6
9           12197515,5294         7        7        7
1           20802600,7782         8        8        8
6           21501812,4574         9        9        9
4           31213459,5756         10       10       10
(10 Zeile(n) betroffen)
*/
