SELECT TerritoryID,
       SUM(TotalDue) AS Turnover,
       RANK() OVER (ORDER BY SUM(TotalDue))       AS R,
       DENSE_RANK() OVER (ORDER BY SUM(TotalDue) DESC) AS DR,
       ROW_NUMBER() OVER (ORDER BY SUM(TotalDue)) AS RN
  FROM Sales.SalesOrderHeader
 GROUP BY TerritoryID
ORDER BY SUM(TotalDue) DESC

-- Ergebnis
/*
TerritoryID Turnover              R       DR      RN
----------- --------------------- ------- ------- ----
4           31213459,5756         10      1       10
6           21501812,4574         9       2       9
1           20802600,7782         8       3       8
9           12197515,5294         7       4       7
5           10570580,4225         6       5       6
3           10568959,1916         5       6       5
10          9506447,5896          4       7       4
2           9269741,31            3       8       3
7           9136704,474           2       9       2
8           5939763,4963          1       10      1
(10 Zeile(n) betroffen)
*/
