-- NTILE
WITH Production AS (
SELECT ProductID,
       ListPrice,
       ProductSubcategoryID,
       NTILE(3) OVER (ORDER BY ListPrice) AS Quantil
  FROM Production.Product
)
SELECT Quantil,
       COUNT(ProductID) AS Number,
       MIN(ListPrice)   AS MinP,
       MAX(ListPrice)   AS MaxP,
       AVG(ListPrice)   AS AvgP
  FROM Production
 GROUP BY Quantil

-- Ergebnis
/*
Quantil   Number      MinP     MaxP    AvgP
--------- ----------- -------- ------- -----------
1         168         0,00     0,00    0,00
2         168         0,00     330,06  76,687
3         168         333,42   3578,27 1239,3116
(3 Zeile(n) betroffen)
*/