-- Standardfall von PIVOT
WITH Turnover AS (
SELECT YEAR(OrderDate) AS OrderDate,
       TotalDue
  FROM Sales.SalesOrderHeader
)
SELECT [2001], [2002], [2003], [2004]
  FROM Turnover
PIVOT (SUM(TotalDue)
       FOR OrderDate
        IN ([2001], [2002], [2003], [2004])) AS p

-- Ergebnis
/*
2001           2002         2003          2004
-------------- ------------ ------------- -------------
14327552,2263  39875505,095 54307615,0868 32196912,4165
(1 Zeile(n) betroffen)
*/

-- Aliasnamen
WITH Turnover AS (
SELECT YEAR(OrderDate) AS OrderDate,
       TotalDue
  FROM Sales.SalesOrderHeader
)
SELECT [2001] AS Year1, [2002] AS Year2
  FROM Turnover
PIVOT (SUM(TotalDue)
       FOR OrderDate
        IN ([2001], [2002])) AS p

-- Ergebnis
/*
Year1                 Year2
--------------------- ---------------------
14327552,2263         39875505,095
(1 Zeile(n) betroffen)
*/

-- Falsche Lsung fr dynamischen Abruf
WITH Turnover AS (
SELECT YEAR(OrderDate) AS OrderDate,
       TotalDue
  FROM Sales.SalesOrderHeader
)
SELECT (SELECT DISTINCT OrderDate FROM Turnover)
  FROM Turnover
PIVOT (SUM(TotalDue)
       FOR OrderDate
        IN ((SELECT DISTINCT OrderDate FROM Turnover))) AS p