-- Standardfall von UNPIVOT
WITH Turnover AS (
SELECT YEAR(OrderDate) AS OrderDate,
       TotalDue
  FROM Sales.SalesOrderHeader
),
[Pivot] AS (
SELECT [2001], [2002], [2003], [2004]
  FROM Turnover
 PIVOT (SUM(TotalDue)
        FOR OrderDate
        IN ([2001], [2002], [2003], [2004])) AS p
)
SELECT OrderDate, TotalDue
  FROM [Pivot]
  UNPIVOT (TotalDue
           FOR OrderDate
           IN ([2001], [2002], [2003], [2004])) AS p

-- Ergebnis
/*
OrderDate     TotalDue
------------- ---------------------
2001          14327552,2263
2002          39875505,095
2003          54307615,0868
2004          32196912,4165
(4 Zeile(n) betroffen)
*/