-- Kreuztabelle
WITH Turnover AS (
SELECT TerritoryID     AS Region,
       YEAR(OrderDate) AS OrderDate,
       TotalDue
  FROM Sales.SalesOrderHeader
),
[Pivot] AS (
SELECT Region, [2001], [2002]
  FROM Turnover
PIVOT (SUM(TotalDue)
       FOR OrderDate
        IN ([2001], [2002])) AS p
)
SELECT Region, SUM(TotalDue) AS Turnover
  FROM [Pivot]
  UNPIVOT (TotalDue
           FOR OrderDate
           IN ([2001], [2002])) AS p
GROUP BY Region

-- Ergebnis 1
/*
Region      Turnover
----------- ---------------------
1           8355170,4632
2           4030155,3739
3           4782069,578
4           13220107,2309
5           5743092,7579
6           9389077,647
7           1916677,4669
8           838712,5158
9           3826982,0131
10          2101012,2746
(10 Zeile(n) betroffen)
*/