-- Temporre Tabelle erstellen
DROP TABLE #turnover
CREATE TABLE #turnover (
 x INT IDENTITY(1,1) NOT NULL, 
 [Year] INT,
 Total  DECIMAL(10,2))
-- Abfrage in Tabelle umleiten
INSERT INTO #turnover ([Year], Total)
SELECT YEAR(OrderDate) AS [Year], SUM(TotalDue) AS Total
  FROM Sales.SalesOrderHeader
 GROUP BY YEAR(OrderDate)
 ORDER BY YEAR(OrderDate)
-- Werte errechnen
/* 
 ^X0,5 = X([n+1]/2), falls n ungerade
 ^X0,5 = 0,5*(X[n/2] + X[(n+2)/2]), falls n gerade
*/
DECLARE @n INT
DECLARE @median DECIMAL(10,2), @x1 DECIMAL(10,2), @x2 DECIMAL(10,2) 
SELECT @n=COUNT(*) FROM #turnover
-- Variante 1
-- Wenn gerade
IF @n % 2 = 0 BEGIN
 SELECT @x1=Total FROM #turnover WHERE x=@n/2
 SELECT @x2=Total FROM #turnover WHERE x=(@n+2)/2
 SET @median = (@x1+@x2)/2
END
ELSE BEGIN
 SELECT Total FROM #turnover WHERE x=((@n+1)/2)/2
END
PRINT @median
-- Variante 2
SELECT AVG(Total) AS Median
  FROM #turnover
 WHERE x BETWEEN @n/2 AND (@n/2)+SIGN(@n+1%2)

-- Ergebnis
/*
Year        Total
----------- ---------------------
2001        14327552,2263
2002        39875505,095
2003        54307615,0868
2004        32196912,4165
(4 Zeile(n) betroffen)

Median
----------------------------------
47091560.095000
(1 Zeile(n) betroffen)
*/

