-- Existenzprfung und Erstellung einer Pozedur
IF OBJECT_ID ( 'Production.usp_GetProduct', 'P' ) IS NOT NULL 
    DROP PROCEDURE Production.usp_GetProduct;
GO
CREATE PROCEDURE Production.usp_GetProduct (
  @vListPrice money,
  @vColor     nvarchar(15),
  @vCategory  int = 1)
AS BEGIN
SELECT Name, Color, ListPrice, Size, ProductSubcategoryID
  FROM Production.Product
 WHERE Color = @vColor
   AND ListPrice > @vListPrice
   AND ProductSubcategoryID = @vCategory
END
GO
-- Aufruf mit Positionsnotation und Standardwert
EXEC Production.usp_GetProduct 250.00, 'Black'
EXEC Production.usp_GetProduct 250.00, 'Black', default
-- Aufruf mit Positionsnotation und Nicht-Standardwert
EXEC Production.usp_GetProduct 250.00, 'Black', 14
-- Aufruf mit Namensnotation
EXEC Production.usp_GetProduct @vColor = 'Black', @vListPrice = 250.00

