-- Existenzprfung und Erstellung einer Pozedur
IF OBJECT_ID ( 'Production.usp_GetProduct', 'P' ) IS NOT NULL 
    DROP PROCEDURE Production.usp_GetProduct;
GO
CREATE PROCEDURE Production.usp_GetProduct (
  @vListPrice money,
  @vColor     nvarchar(15),
  @vSummary   nvarchar(255) OUTPUT)
AS BEGIN
-- Variablen deklarieren
DECLARE @vName nvarchar(50),
        @vDetails nvarchar(505)
-- Daten abrufen
SELECT @vName = Name,
       @vDetails = Color + ' ' + STR(ListPrice)
  FROM Production.Product
 WHERE Color = @vColor
-- Output-Parameter setzen
SET @vSummary = @vName + ' ' + @vDetails
END
GO
-- Aufruf mit Output-Parametern
DECLARE @vProductText nvarchar(255)
EXEC Production.usp_GetProduct 300.00, 'Black', @vProductText OUTPUT
PRINT @vProductText
-- Aufruf mit Namensnotation
EXEC Production.usp_GetProduct  @vColor = 'Blue', @vListPrice = 220.00, @vSummary = @vProductText OUTPUT
PRINT @vProductText

-- Ergebnis
/*
Road-750 Black, 52 Black        540
Touring-3000 Blue, 50 Blue        742
*/

