-- Existenzprfung und Erstellung einer Pozedur
IF OBJECT_ID ( 'Production.usp_GetProduct', 'P' ) IS NOT NULL 
    DROP PROCEDURE Production.usp_GetProduct;
GO
CREATE PROCEDURE Production.usp_GetProduct (
  @vListPrice money,
  @vColor     nvarchar(15),
  @vCategory  int = 1,
  @cProducts  CURSOR VARYING OUTPUT)
AS BEGIN
SET @cProducts = CURSOR FORWARD_ONLY STATIC FOR
SELECT Name, Color, ProductSubcategoryID
  FROM Production.Product
 WHERE Color = @vColor
   AND ListPrice > @vListPrice
   AND ProductSubcategoryID = @vCategory
OPEN @cProducts
END
GO

-- Test
-- Cursor und einfache Variablen erstellen
DECLARE @cProductsOut CURSOR,
        @vName varchar(50), @vColor nvarchar(15), @vCategory  int
-- Prozedur ausfhren
EXEC Production.usp_GetProduct
        @cProducts = @cProductsOut OUTPUT,
        @vListPrice = 150,
        @vColor = 'Black'
-- Abrufen 1
FETCH NEXT FROM @cProductsOut
INTO  @vName, @vColor, @vCategory 
-- Schleife
WHILE (@@FETCH_STATUS = 0) BEGIN
 -- Abrufen 2..n
 FETCH NEXT FROM @cProductsOut
 INTO  @vName, @vColor, @vCategory
 PRINT @vName + ' ' + @vColor
END
-- Aufrumen
CLOSE @cProductsOut
DEALLOCATE @cProductsOut

-- Ergebnis
/*
Mountain-100 Black, 42 Black
Mountain-100 Black, 44 Black
Mountain-100 Black, 48 Black
*/



