-- Skalarfunktion erstellen
-- Auf Existenz prfen und ggf. lschen
IF OBJECT_ID (N'dbo.ufnGetBuyerCurrency', N'FN') IS NOT NULL
    DROP FUNCTION dbo.ufnGetBuyerCurrency
GO
-- Erstellen
CREATE FUNCTION ufnGetBuyerCurrency(
 @salesOrderID int,
 @sum money
)
RETURNS varchar(15)
AS BEGIN
-- Lokale Variablen
DECLARE @averageRate float, @currency varchar(5)
-- SQL-Anweisungen
SELECT @averageRate = cr.AverageRate,
       @currency = cr.ToCurrencyCode
  FROM Sales.SalesOrderHeader AS sh INNER JOIN Sales.CurrencyRate AS cr
    ON sh.CurrencyRateID = cr.CurrencyRateID
WHERE sh.SalesOrderID = @salesOrderID
-- Rckgabe
RETURN RTRIM(LTRIM(STR(@sum * @averageRate) + ' ' + @currency))
END
GO
-- Test
SELECT SalesOrderID,
       dbo.ufnGetBuyerCurrency(SalesOrderID, SubTotal) AS SubTotal,
       dbo.ufnGetBuyerCurrency(SalesOrderID, TaxAmt)   AS Tax,
       dbo.ufnGetBuyerCurrency(SalesOrderID, Freight)  AS Freight,
       dbo.ufnGetBuyerCurrency(SalesOrderID, TotalDue) AS Total
 FROM Sales.SalesOrderHeader
 WHERE SalesOrderID IN (43661, 43662)

-- Ergebnis
/*
SalesOrderID SubTotal        Tax             Freight         Total
------------ --------------- --------------- --------------- ---------------
43661        57718 CAD       4617 CAD        1443 CAD        63778 CAD
43662        50789 CAD       4063 CAD        1270 CAD        56122 CAD
(2 Zeile(n) betroffen)
*/