-- Auf Existenz prfen und ggf. lschen
IF OBJECT_ID (N'Sales.ufnGetBuyerCurrency', N'FN') IS NOT NULL
    DROP FUNCTION Sales.ufnGetBuyerCurrency
GO
-- Funktion mit Schema-Bindung erstellen
CREATE FUNCTION Sales.ufnGetBuyerCurrency (
 @salesOrderID int,
 @sum money
)
RETURNS varchar(15)
AS BEGIN
-- Lokale Variablen
DECLARE @averageRate float, @currency varchar(5)
-- SQL-Anweisungen
SELECT @averageRate = cr.AverageRate,
       @currency = cr.ToCurrencyCode
  FROM Sales.SalesOrderHeader AS sh
       INNER JOIN Sales.CurrencyRate AS cr
    ON sh.CurrencyRateID = cr.CurrencyRateID
WHERE sh.SalesOrderID = @salesOrderID
-- Rckgabe
RETURN RTRIM(LTRIM(STR(@sum * @averageRate) + ' ' + @currency))
END
GO
-- Sicht erstellen, welche die Funktion bentigt
IF OBJECT_ID (N'Sales.vBuyerCurrency', N'V') IS NOT NULL
    DROP VIEW Sales.vBuyerCurrency
GO
CREATE VIEW Sales.vBuyerCurrency 
AS 
SELECT SalesOrderID,
       Sales.ufnGetBuyerCurrency(SalesOrderID, SubTotal) AS SubTotal,
       Sales.ufnGetBuyerCurrency(SalesOrderID, TaxAmt)   AS Tax,
       Sales.ufnGetBuyerCurrency(SalesOrderID, Freight)  AS Freight,
       Sales.ufnGetBuyerCurrency(SalesOrderID, TotalDue) AS Total
 FROM Sales.SalesOrderHeader
GO
-- Test von Sicht und gleichzeitig der Funktion
SELECT *
  FROM Sales.vBuyerCurrency
 WHERE SalesOrderID BETWEEN 43661 AND 43663
GO
-- Lschversuch der Funktion
DROP FUNCTION Sales.ufnGetBuyerCurrency 
GO
-- Test der Sicht
SELECT *
  FROM Sales.vBuyerCurrency
 WHERE SalesOrderID BETWEEN 43661 AND 43663
GO
-- Ergebnis (Fehlermeldung)
/*
Meldung 3729, Ebene 16, Status 1, Zeile 1
Das DROP FUNCTION von 'Sales.ufnGetBuyerCurrency' ist nicht mglich, da das 'vBuyerCurrency'-Objekt darauf verweist.
*/