-- Auf Existenz prfen und ggf. lschen
IF OBJECT_ID (N'Sales.ufnGetBuyerCurrency', N'FN') IS NOT NULL
    DROP FUNCTION Sales.ufnGetBuyerCurrency
GO
-- Funktion mit NULL-Bercksichtigung erstellen
CREATE FUNCTION Sales.ufnGetBuyerCurrency (
 @salesOrderID int,
 @sum money
)
RETURNS varchar(15)
-- Liefert NULL bei Angabe eines NULL-Preises
WITH RETURNS NULL ON NULL INPUT
-- Liefert den Wert ermittelten Wert 0 (Standard)
-- WITH CALLED ON NULL INPUT
AS BEGIN
-- Lokale Variablen
DECLARE @averageRate float, @currency varchar(5), @result varchar(15)
-- SQL-Anweisungen
SELECT @averageRate = cr.AverageRate,
       @currency = cr.ToCurrencyCode
  FROM Sales.SalesOrderHeader AS sh
       INNER JOIN Sales.CurrencyRate AS cr
    ON sh.CurrencyRateID = cr.CurrencyRateID
WHERE sh.SalesOrderID = @salesOrderID
-- Rckgabe
SET @result = RTRIM(LTRIM(STR(@sum * @averageRate) + ' ' + @currency))
IF @result IS NULL BEGIN
 RETURN '0'
END
RETURN @result
END
GO
-- Liefert NULL bei RETURNS NULL
-- Liefert 0 bei CALLED
SELECT Sales.ufnGetBuyerCurrency(NULL, NULL)