-- Produkte in Gre S und Gelb oder Schwarz
SELECT Name, Size, Color
  FROM Production.Product
 WHERE Size = 'S'
   AND (Color = 'Yellow' OR Color = 'Black')

-- Ergebnis
/*
Name                             Size  Color
-------------------------------- ----- ---------------
Men's Sports Shorts, S           S     Black
Women's Tights, S                S     Black
Half-Finger Gloves, S            S     Black
Full-Finger Gloves, S            S     Black
Women's Mountain Shorts, S       S     Black
Short-Sleeve Classic Jersey, S   S     Yellow
*/

-- Produktkategorie T-Shirt oder kurze Hose UND Gre S oder M UND Farbe Gelb oder gemischt
SELECT Name, Size, Color, ProductSubcategoryID
  FROM Production.Product
 WHERE Size IN ('S', 'M')
   AND (ProductSubcategoryID = 21
        OR ProductSubcategoryID = 18)
   AND (Color = 'Yellow' OR Color = 'Multi')

SELECT Name, Size, Color, ProductSubcategoryID
  FROM Production.Product
 WHERE Size IN ('S', 'M')
   AND ProductSubcategoryID IN (21, 18)
   AND Color IN ('Yellow', 'Multi')

-- Ergebnis
/*
Name                           Size  Color     ProductSubcategoryID
------------------------------ ----- --------- --------------------
Long-Sleeve Logo Jersey, S     S     Multi     21
Long-Sleeve Logo Jersey, M     M     Multi     21
Men's Bib-Shorts, S            S     Multi     18
Men's Bib-Shorts, M            M     Multi     18
Short-Sleeve Classic Jersey, S S     Yellow    21
Short-Sleeve Classic Jersey, M M     Yellow    21
*/

-- Gre nicht S oder XL UND Listenpreis zwischen 30 und 50
SELECT Name, ListPrice
  FROM Production.Product
 WHERE Size NOT IN ('S', 'XL')
   AND (ListPrice >= 30 AND ListPrice <= 50)

SELECT Name, ListPrice
  FROM Production.Product
 WHERE Size NOT IN ('S', 'XL')
   AND ListPrice BETWEEN 30 AND 50

-- Ergebnis
/*
Name                              ListPrice
--------------------------------- ---------------------
Long-Sleeve Logo Jersey, M        49,99
Long-Sleeve Logo Jersey, L        49,99
Full-Finger Gloves, M             37,99
Full-Finger Gloves, L             37,99
*/