-- Bruttogewinn grer 30
SELECT ProductNumber                AS Nr,
       ListPrice - StandardCost     AS BruttoGewinn,
       ListPrice                    AS Liste
  FROM production.product
WHERE ListPrice != 0
  AND ListPrice - StandardCost > 30

-- Ergebnis
/*
Nr                        BruttoGewinn          Liste
------------------------- --------------------- ---------------------
SA-M198                   34,57                 133,34
SA-M237                   38,15                 147,14
SA-M687                   51,05                 196,92
*/

-- Mehr als 50% Bruttogewinn
-- UND Bruttogewinn mehr als die Hlfte der Kosten
SELECT ProductNumber                  AS Nr,
       ListPrice - StandardCost       AS BruttoGewinn,
       ListPrice                      AS Liste,
       StandardCost / ListPrice * 100 AS [%-Gewinn],
       StandardCost                   AS Kosten,
       StandardCost / 2               AS [Halbe Kosten]
  FROM production.product
WHERE ListPrice != 0
  AND ListPrice - StandardCost >  StandardCost / 2
  AND StandardCost / ListPrice * 100 > 50

-- Ergebnis
/*
Nr                        BruttoGewinn          Liste                 %-Gewinn              Kosten                Halbe Kosten
------------------------- --------------------- --------------------- --------------------- --------------------- ---------------------
FR-R92R-62                562,8658              1431,50               60,68                 868,6342              434,3171
FR-R38R-44                150,0629              337,22                55,50                 187,1571              93,5785
*/