-- Produkt und LagerDifferenz-Ermittlung
SELECT Produkt, Sicherheit - Menge AS [Lager-Differenz]
  FROM 
(SELECT p.ProductID,
       p.Name As Produkt,
       psc.Name AS Kategorie,
       piv.Quantity AS Menge,
       p.SafetyStockLevel AS Sicherheit
  FROM Production.Product AS p INNER JOIN Production.ProductInventory AS piv
    ON p.ProductID = piv.ProductID
                               INNER JOIN Production.ProductSubcategory AS psc
    ON p.ProductSubcategoryID = psc.ProductSubcategoryID) AS lager
ORDER BY [Lager-Differenz]

-- Ergebnis
/*
Produkt                          Lager-Differenz
-------------------------------- ---------------
Sport-100 Helmet, Black          -320
...
Mountain-100 Silver, 48            -2
Mountain-100 Black, 44              0
...
Mountain-100 Silver, 44            25
*/