-- Produkte mit bestimmten Gren
SELECT Name, Size, Color, ProductSubcategoryID
  FROM Production.Product
 WHERE Size IN ('S', 'M', 'XL')
   AND productSubcategoryID = 21

SELECT Name, Size, Color, ProductSubcategoryID
  FROM Production.Product AS p1
 WHERE Size IN (SELECT DISTINCT Size
                  FROM Production.Product AS p2
                 WHERE p2.ProductSubcategoryID = 21
                   AND p1.ProductSubcategoryID = p2.ProductSubcategoryID
                   AND Size >= 'M')

SELECT Name, Size, Color, p1.ProductSubcategoryID
  FROM Production.Product AS p1
 WHERE EXISTS (SELECT DISTINCT Size FROM Production.Product AS p2
                WHERE p2.ProductSubcategoryID = 21
                  AND p1.ProductSubcategoryID = p2.ProductSubcategoryID)
   AND Size >= 'M'



-- Ergebnis
/*
Name                           Size  Color   ProductSubcategoryID
------------------------------ ----- ------- --------------------
Long-Sleeve Logo Jersey, S     S     Multi    21
Long-Sleeve Logo Jersey, M     M     Multi    21
*/