
-- Versanddatum von Bestellungen
SELECT DISTINCT ShipDate
  FROM Sales.SalesOrderHeader
 WHERE SalesOrderID BETWEEN 68806 AND 71613

-- Ergebnis
/*
ShipDate
-----------------------
2004-04-30 00:00:00.000
2004-06-04 00:00:00.000
2004-05-23 00:00:00.000
*/

-- Bestellungen mit spterem Versanddatum
-- als in wenigstens einer Zeile der Unterabfrage
SELECT SalesOrderID, ShipDate
  FROM Sales.SalesOrderHeader
 WHERE OrderDate > SOME (SELECT DISTINCT ShipDate
                           FROM Sales.SalesOrderHeader
                          WHERE SalesOrderID BETWEEN 68806 AND 71613)

-- Ergebnis
/*
SalesOrderID ShipDate
------------ -----------------------
69309        2004-05-08 00:00:00.000
69310        2004-05-08 00:00:00.000
*/