-- Einfache Aggregate
SELECT c.CustomerID            AS Kunde,
       c.TerritoryID           AS Gebiet,
       YEAR(OrderDate)         AS Jahr,
       COUNT(soh.SalesOrderID) AS Bestellungen
  FROM Sales.Customer AS c INNER JOIN Sales.SalesOrderHeader AS soh
    ON c.CustomerID = soh.CustomerID
 GROUP BY c.CustomerID, c.TerritoryID, YEAR(OrderDate)
 ORDER BY Jahr, Gebiet, Bestellungen DESC

-- Ergebnis
/*
Kunde       Gebiet      Jahr        Bestellungen
----------- ----------- ----------- ------------
344         1           2001        2
218         1           2001        2
401         1           2001        2
73          1           2001        2
*/

-- Bildung von Untersummen
SELECT c.CustomerID            AS Kunde,
       c.TerritoryID           AS Gebiet,
       YEAR(OrderDate)         AS Jahr,
       COUNT(soh.SalesOrderID) AS Bestellungen
  FROM Sales.Customer AS c INNER JOIN Sales.SalesOrderHeader AS soh
    ON c.CustomerID = soh.CustomerID
WHERE c.TerritoryID <= 3
  AND YEAR(OrderDate) <= 2002
  AND c.CustomerID <= 5
GROUP BY c.CustomerID, c.TerritoryID, YEAR(OrderDate)
         WITH ROLLUP
ORDER BY Jahr, Gebiet, Bestellungen DESC

-- Ergebnis
/*
Kunde       Gebiet      Jahr        Bestellungen
----------- ----------- ----------- ------------
NULL        NULL        NULL        6
1           NULL        NULL        4
2           NULL        NULL        2
1           1           NULL        4
2           1           NULL        2
1           1           2001        2
1           1           2002        2
2           1           2002        2
(8 Zeile(n) betroffen)

*/