-- Einfache Aggregate
SELECT c.CustomerID            AS Kunde,
       c.TerritoryID           AS Gebiet,
       YEAR(OrderDate)         AS Jahr,
       COUNT(soh.SalesOrderID) AS Bestellungen
  FROM Sales.Customer AS c INNER JOIN Sales.SalesOrderHeader AS soh
    ON c.CustomerID = soh.CustomerID
 GROUP BY c.CustomerID, c.TerritoryID, YEAR(OrderDate)
 ORDER BY Jahr, Gebiet, Bestellungen DESC

-- Ergebnis
/*
Kunde       Gebiet      Jahr        Bestellungen
----------- ----------- ----------- ------------
344         1           2001        2
218         1           2001        2
401         1           2001        2
73          1           2001        2
*/

-- Bildung von Berichtsuntersummen
SELECT c.CustomerID              AS Kunde,
       c.TerritoryID             AS Gebiet,
       YEAR(OrderDate)           AS Jahr,
       COUNT(soh.SalesOrderID)   AS [Best.]
  FROM Sales.Customer AS c INNER JOIN Sales.SalesOrderHeader AS soh
    ON c.CustomerID = soh.CustomerID
 WHERE c.TerritoryID <= 3
   AND YEAR(OrderDate) <= 2003
   AND c.CustomerID <= 7
 GROUP BY c.CustomerID, c.TerritoryID, YEAR(OrderDate)
 ORDER BY Jahr, Gebiet, [Best.] DESC
COMPUTE SUM(COUNT(soh.SalesOrderID)),
        COUNT(c.CustomerID)

-- Ergebnis
/*
Kunde       Gebiet      Jahr        Best.
----------- ----------- ----------- -----------
1           1           2001        2
1           1           2002        2
2           1           2002        2
7           1           2002        2
2           1           2003        4
7           1           2003        2

sum         cnt
----------- -----------
14          6

*/