-- Tabelle mit nvarchchar(max) anlegen
DROP TABLE Production.ProductReview2
GO
CREATE TABLE Production.ProductReview2 (
 ProductReviewID int NOT NULL PRIMARY KEY,
 Comments nvarchar(3850) NULL
)
-- Daten bernehmen
INSERT INTO Production.ProductReview2
SELECT ProductReviewID, Comments
  FROM Production.ProductReview
GO
-- Tabellenvariable anlegen
DECLARE @review table (
    ProductReviewID int NOT NULL,
    CommentsBefore nvarchar(3850),
    CommentsAfter  nvarchar(3850))
-- Daten aktualisieren
BEGIN TRANSACTION
UPDATE Production.ProductReview2
   SET Comments = STUFF (Comments, 16, 0, N'(Sizes: 38-44, 48) ')
OUTPUT INSERTED.ProductReviewID,
       DELETED.Comments, 
       INSERTED.Comments 
    INTO @review
WHERE ProductReviewID = 4
ROLLBACK
-- Kontrolle
SELECT SUBSTRING(CommentsBefore, 1, 20), SUBSTRING(CommentsAfter, 1, 40) 
FROM @review

-- Ergebnis
/*
(4 Zeile(n) betroffen)
(1 Zeile(n) betroffen)                 
-------------------- ----------------------------------------
The Road-550-W from  The Road-550-W (Sizes: 38-44, 48) from A
(1 Zeile(n) betroffen)
*/