BEGIN TRANSACTION
BEGIN TRY
DELETE FROM Production.UnitMeasure
 WHERE UnitMeasureCode = 'CM'
END TRY
BEGIN CATCH
    SELECT
        ERROR_NUMBER() AS ErrorNumber,
        ERROR_SEVERITY() AS ErrorSeverity,
        ERROR_STATE() AS ErrorState,
        ERROR_PROCEDURE() AS ErrorProcedure,
        ERROR_LINE() AS ErrorLine,
        ERROR_MESSAGE() AS ErrorMessage
SELECT @@error
END CATCH
ROLLBACK

-- Ergebnis
/*
ErrorNumber ErrorSeverity ErrorState  ErrorProcedure    
----------- ------------- ----------- ----------------- 
547         16            0           NULL              
ErrorLine   ErrorMessage
----------- -----------------------------------------------------------
3           Die DELETE-Anweisung steht in Konflikt mit der 
            REFERENCE-Einschrnkung "FK_Product_UnitMeasure
            _SizeUnitMeasureCode". Der Konflikt trat in der 
            "AdventureWorks"-Datenbank, Tabelle "Production.Product",
            column 'SizeUnitMeasureCode' auf.
(1 Zeile(n) betroffen
*/