-- CTE: Grundprinzip
WITH Sales AS (
 SELECT CustomerID      AS Customer,
        TotalDue        AS Turnover,
        TerritoryID     AS Region,
        YEAR(OrderDate) AS Year
   FROM Sales.SalesOrderHeader
)
SELECT Year,
       COUNT(Customer) AS Customers,
       SUM(Turnover) AS Turnover
  FROM Sales
 GROUP BY Year

-- Ergebnis: Innere Abfrage
/*
Customer    Turnover              Region      Year
----------- --------------------- ----------- -----------
676         27231,5495            5           2001
117         1716,1794             5           2001
442         43561,4424            6           2001
...
15251       82,8529               6           2004
15868       34,2219               6           2004
18759       209,9169              6           2004
(31465 Zeile(n) betroffen)
*/

-- Ergebnis: Gesamtergebnis
/*
Year        Customers   Turnover
----------- ----------- ---------------------
2004        13951       32196912,4165
2001        1379        14327552,2263
2002        3692        39875505,095
2003        12443       54307615,0868

(4 Zeile(n) betroffen)
*/