-- CTE: Dynamische Audrcke
--  Lokale Variable (Achtung: Semikolon vor WITH)
DECLARE @year int
SET @year = 2002;
-- Dynamische CTE
WITH Sales (Customer, Turnover, Region, Year) AS (
 SELECT CustomerID, TotalDue, TerritoryID, YEAR(OrderDate)
   FROM Sales.SalesOrderHeader
  WHERE YEAR(OrderDate) >= @year
)
SELECT Year, COUNT(Customer) AS Customers, SUM(Turnover) AS Turnover
  FROM Sales
 GROUP BY Year

-- Ergebnis
/*
Year        Customers   Turnover
----------- ----------- ---------------------
2004        13951       32196912,4165
2001        1379        14327552,2263
2002        3692        39875505,095
2003        12443       54307615,0868

(4 Zeile(n) betroffen)
*/