-- CTE: Mehrfache Referenzen

WITH Sales (Turnover, Region, Year) AS (
 SELECT SUM(TotalDue), TerritoryID, YEAR(OrderDate)
   FROM Sales.SalesOrderHeader
GROUP BY YEAR(OrderDate), TerritoryID
)
SELECT cur.Year, cur.Region, cur.Turnover, prv.Turnover
  FROM Sales AS cur LEFT OUTER JOIN Sales AS prv
    ON cur.Year = prv.Year + 1
   AND cur.Region = prv.Region
 WHERE cur.Region BETWEEN 5 AND 7
 ORDER BY cur.Year

-- Ergebnis
/*
Year        Region      Turnover              Turnover
----------- ----------- --------------------- ---------------------
2001        6           2173647,1453          NULL
2001        7           199531,723            NULL
2001        5           1928148,6139          NULL
2002        5           3814944,144           1928148,6139
2002        6           7215430,5017          2173647,1453
2002        7           1717145,7439          199531,723
2003        5           3261402,9982          3814944,144
2003        6           8186021,9178          7215430,5017
2003        7           4366078,3475          1717145,7439
2004        5           1566084,6664          3261402,9982
2004        6           3926712,8926          8186021,9178
2004        7           2853948,6596          4366078,3475

(12 Zeile(n) betroffen)

*/