-- CTE: Rekursion

WITH EmpCon AS (
 SELECT EmployeeID, ManagerID, LastName
   FROM HumanResources.Employee AS emp INNER JOIN Person.Contact AS C
     ON emp.ContactID = c.ContactID
),
EmpHierarchy AS (
 SELECT EmployeeID, ManagerID, LastName
   FROM EmpCon
 WHERE EmployeeID IN (3,7)
 UNION ALL
 SELECT EmpCon.EmployeeID, EmpCon.ManagerID, EmpCon.LastName
   FROM EmpCon
        INNER JOIN EmpHierarchy AS emph
     ON EmpCon.ManagerID = emph.EmployeeID
)
SELECT * FROM EmpHierarchy

-- Ergebnis
/*
EmployeeID  ManagerID   LastName
----------- ----------- --------------------------------------------------
3           12          Tamburello
7           21          Dobney
37          7           Rapier
76          7           Kramer
84          7           Anderson
122         7           Baker
156         7           Kogan
194         7           Michaels
4           3           Walters
9           3           Erickson
11          3           Goldberg
158         3           Miller
263         3           Cracium
267         3           Sullivan
270         3           Salavaria
5           263         D'Hers
265         263         Galvin
79          158         Margheim
114         158         Matthew
217         158         Raheem

(20 Zeile(n) betroffen)
*/