/*
-- Erstellen einer Tabelle
IF OBJECT_ID ('Production.Product3', 'T') IS NOT NULL BEGIN
  DROP TABLE Production.Product3
END
GO
CREATE TABLE Production.Product3 (
 Name          varchar(50)  NOT NULL,
 ProductNumber nvarchar(25) NOT NULL,
 ListPrice     money        NOT NULL,
 StandardCost  money        NULL)
GO
*/
WITH ProductTemp (Name, ProductNumber, ListPrice, StandardCost) AS (
 SELECT Name, ProductNumber, ListPrice * 1.1, StandardCost * 1.05
   FROM Production.Product
)
UPDATE Production.Product3
   SET ListPrice = pt.ListPrice,
       StandardCost = pt.StandardCost
  FROM Production.Product3 AS p INNER JOIN ProductTemp AS pt
    ON p.ProductNumber = pt.ProductNumber
GO
SELECT * FROM Production.Product3

