-- Standardlsung
SELECT YEAR(OrderDate)                    AS Year,
       SUM(TotalDue)                      AS Turnover,
       (SUM(TotalDue) / agg.Turnover)*100 AS "%",
       AVG(TotalDue) - agg.AvgTurnover    AS "/"
  FROM Sales.SalesOrderHeader,
      (SELECT SUM(TotalDue)           AS Turnover, 
              AVG(TotalDue)           AS AvgTurnover
         FROM Sales.SalesOrderHeader) AS agg
 GROUP BY YEAR(OrderDate), agg.Turnover, agg.AvgTurnover

-- Ergebnis
/*
Year        Turnover              %                     /
----------- --------------------- --------------------- ---------------------
2001        14327552,2263         10,18                 5917,9368
2002        39875505,095          28,33                 6328,6398
2003        54307615,0868         38,59                 -107,3649
2004        32196912,4165         22,88                 -2164,0193
(4 Zeile(n) betroffen)
*/

-- Einsatz einer CTE
WITH Agg AS
(SELECT SUM(TotalDue)           AS Turnover, 
        AVG(TotalDue)           AS AvgTurnover
   FROM Sales.SalesOrderHeader)
SELECT YEAR(OrderDate)                    AS Year,
       SUM(TotalDue)                      AS Turnover,
       (SUM(TotalDue) / Agg.Turnover)*100 AS "%",
       AVG(TotalDue) - Agg.AvgTurnover    AS "/"
  FROM Sales.SalesOrderHeader, Agg
 GROUP BY YEAR(OrderDate), Agg.Turnover, Agg.AvgTurnover
