-- Aggregate mit OVER() und Partitionen

IF OBJECT_ID('#Sales') IS NOT NULL
DROP TABLE ##Sales
GO
CREATE TABLE ##Sales (
 CustomerID int,
 OrderDate  varchar(7),
 TotalDue   money
)
GO
INSERT INTO ##Sales
 SELECT CustomerID,
        LTRIM(STR(YEAR(OrderDate)))
        +'-'
        +LTRIM(STR(MONTH(OrderDate))) AS OrderDate,
        SUM(TotalDue)
   FROM Sales.SalesOrderHeader
  GROUP BY CustomerID, LTRIM(STR(YEAR(OrderDate)))
                       +'-'
                       +LTRIM(STR(MONTH(OrderDate)))
GO
SELECT * FROM ##Sales

-- Ergebnis
/*
CustomerID  OrderDate TotalDue
----------- --------- ---------------------
16308       2002-8    2410,6266
306         2002-9    250,6771
12602       2003-8    9,934
15866       2003-9    42,9624
*/