-- Akkumulation
SELECT s1.CustomerID,
       s1.OrderDate,
       s1.TotalDue AS Month,
       (SELECT SUM(s2.TotalDue)
          FROM dbo.##Sales AS s2
         WHERE s2.CustomerID = s1.CustomerID
           AND s2.OrderDate <= s1.OrderDate)AS Total
  FROM dbo.##Sales AS s1
 GROUP BY s1.CustomerID, s1.OrderDate, s1.TotalDue
 ORDER BY s1.CustomerID, s1.OrderDate

-- Ergebnis
/*
CustomerID  OrderDate Month           Total
----------- --------- --------------- --------------
1           2001-11   26128,8674      26128,8674
1           2001-8    14603,7393      40732,6067
1           2002-2    37643,1378      78375,7445
1           2002-5    34722,9906      113098,7351
2           2002-11   5469,5941       5469,5941
2           2002-8    10184,0774      15653,6715
*/


-- Gleitender Durchschnitt und Akkumulation
SELECT s1.CustomerID,
       s1.OrderDate,
       s1.TotalDue AS Month,
       SUM(s2.TotalDue) AS Total,
       AVG(s2.TotalDue) AS Avg
  FROM dbo.##Sales AS s1 INNER JOIN dbo.##Sales AS s2
    ON s1.CustomerID = s2.CustomerID
   AND s2.OrderDate <= s1.OrderDate
 GROUP BY s1.CustomerID, s1.OrderDate, s1.TotalDue
 ORDER BY s1.CustomerID, s1.OrderDate

-- Ergebnis
/*
CustomerID  OrderDate Month         Total        Avg
----------- --------- ------------- ------------ ---------------
1           2001-11   26128,8674    26128,8674   26128,8674
1           2001-8    14603,7393    40732,6067   20366,3033
1           2002-2    37643,1378    78375,7445   26125,2481
1           2002-5    34722,9906    113098,7351  28274,6837
2           2002-11   5469,5941     5469,5941    5469,5941
2           2002-8    10184,0774    15653,6715   7826,8357
*/