WITH Sales AS (
SELECT CountryRegionCode,
       COUNT(StateProvinceCode) AS Provinces, 
       TerritoryID
  FROM Person.StateProvince
  GROUP BY CountryRegionCode, TerritoryID
 HAVING TerritoryID < 6
)
SELECT s1.*,
       (SELECT COUNT(*)
          FROM Sales AS s2
         WHERE s2.Provinces < s1.Provinces) + 1 AS R,
       (SELECT COUNT(DISTINCT Provinces)
          FROM Sales AS s2
         WHERE s2.Provinces < s1.Provinces) + 1 AS DR
  FROM Sales AS s1
 ORDER BY Provinces

-- Ergebnis
/*
CountryRegionCode Provinces   TerritoryID R      DR
----------------- ----------- ----------- ------ ----
AS                1           1           1      1
VI                1           5           1      1
US                5           4           3      2
US                9           1           4      3
US                11          5           5      4
US                14          2           6      5
US                14          3           6      5
(7 Zeile(n) betroffen)
*/