-- Tabellenwertfunktion erstellen
-- Auf Existenz prfen und ggf. lschen
IF OBJECT_ID (N'dbo.ufnGetBuyerCurrencyTable', N'IF') IS NOT NULL
    DROP FUNCTION dbo.ufnGetBuyerCurrencyTable
GO
-- Erstellen
CREATE FUNCTION ufnGetBuyerCurrencyTable (
 @salesOrderID int
)
RETURNS table
AS
-- Unmittelbares RETURN, kein BEGIN..END
RETURN (
SELECT SalesOrderID,
       dbo.ufnGetBuyerCurrency(SalesOrderID, SubTotal) AS SubTotal,
       dbo.ufnGetBuyerCurrency(SalesOrderID, TaxAmt)   AS Tax,
       dbo.ufnGetBuyerCurrency(SalesOrderID, Freight)  AS Freight,
       dbo.ufnGetBuyerCurrency(SalesOrderID, TotalDue) AS Total
 FROM Sales.SalesOrderHeader
 WHERE SalesOrderID = @salesOrderID)
GO
-- Test
SELECT *
 FROM dbo.ufnGetBuyerCurrencyTable(43661)

-- Ergebnis
/*
SalesOrderID SubTotal   Tax       Freight    Total
------------ ---------- --------- ---------- -----------
43661        57718 CAD  4617 CAD  1443 CAD   63778 CAD
(1 Zeile(n) betroffen)
*/