-- Existenzprfung
IF OBJECT_ID (N'dbo.ufnGetEmployeesTable', N'TF') IS NOT NULL
    DROP FUNCTION dbo.ufnGetEmployeesTable
GO
-- Erstellung
CREATE FUNCTION dbo.ufnGetEmployeesTable (
 @vGroupName nvarchar(50) )
-- Genaue Angabe der Rckgabestruktur
RETURNS @retEmployees TABLE (
  GroupName  nvarchar(50)  NULL,
  DepName    nvarchar(50)  NULL,
  EmployeeID int           NULL,
  EmpTitle   nvarchar(50)  NULL,
  EmpName    nvarchar(255) NULL
)
AS BEGIN
-- Variablen- und Cursor-Deklaration
DECLARE @vDepID int, @vDepName nvarchar(20)
DECLARE cDepartment CURSOR FOR
SELECT DepartmentID, Name
  FROM HumanResources.Department
  WHERE GroupName = @vGroupName
-- ffnen und Vorab-Laden
OPEN cDepartment
FETCH NEXT FROM cDepartment 
INTO @vDepID, @vDepName
-- Schleife
WHILE @@FETCH_STATUS = 0
BEGIN
-- Einfgen Kopfzeile einer Abteilung
INSERT INTO @retEmployees (GroupName, DepName)
VALUES (@vGroupName, @vDepName)
-- Einfgen Mitarbeiterzeilen
INSERT INTO @retEmployees (EmployeeID, EmpTitle, EmpName)
SELECT emp.EmployeeID,
       emp.Title,
       FirstName + ' ' + LastName
  FROM HumanResources.Employee AS emp
       INNER JOIN Person.Contact AS c
    ON emp.ContactID = c.ContactID
       INNER JOIN HumanResources.EmployeeDepartmentHistory AS dep
    ON dep.EmployeeID = emp.EmployeeID
 WHERE dep.DepartmentID = @vDepID
-- Nchster Abruf
FETCH NEXT FROM cDepartment 
INTO @vDepID, @vDepName
END
-- Aufrumen
CLOSE cDepartment
DEALLOCATE cDepartment
-- Leere Rckgabe bzw. Rckgabe der Tabelle
RETURN
END

GO

-- Test
SELECT GroupName, DepName, EmpName
  FROM dbo.ufnGetEmployeesTable('Manufacturing')
/*
GroupName      DepName                EmpName
-------------- ---------------------- -----------------
Manufacturing  Production             NULL
NULL           NULL                   Guy Gilbert
NULL           NULL                   JoLynn Dobney
Manufacturing  Production Control     NULL
NULL           NULL                   Peter Krebs
NULL           NULL                   A. Scott Wright

*/