-- DML-Trigger
USE AdventureWorks
GO
-- Triggerexistenz testen und ggf. lschen
IF OBJECT_ID ('Production.SafteyReminder', 'TR') IS NOT NULL
   DROP TRIGGER Production.SafteyReminder
GO
CREATE TRIGGER SafteyReminder
ON Production.Product2
AFTER INSERT, UPDATE AS
 -- Variable fr Sicherheitsbestand 
 DECLARE @vSafetyStockLevel smallint,
         @vMessage nvarchar(100)
 -- ... fllen aus inserted-Tabelle
 SELECT @vSafetyStockLevel = SafetyStockLevel
   FROM inserted
 -- ... und prfen
 IF @vSafetyStockLevel <= 4 BEGIN
  SET @vMessage = 'Sicherheitsbestand: ' + ltrim(str(@vSafetyStockLevel)) + '. Mind. 4'
  RAISERROR (@vMessage, 16, 10)
 END
GO
-- Testen
DELETE FROM Production.Product2
GO
INSERT INTO Production.Product2
VALUES ('ML Mountain Seat Assembly', 'SA-M237', 500, 108.99, 147.14)
GO
INSERT INTO Production.Product2
VALUES ('Sport-100 Helmet, Red', 'HL-U509-R', 4, 13.09, 34.99)
GO
/*
Msg 50000, Level 16, State 10, Procedure SafteyReminder, Line 13
Sicherheitsbestand: 4. Mind. 4
*/