USE AdventureWorks
GO
-- Trigger mit Datenbankbereich
-- Bei Existenz lschen
IF EXISTS (
   SELECT * FROM sys.server_triggers
    WHERE name = 'trgCreateLogin')
 DROP TRIGGER trgCreateLogin
 ON ALL SERVER
GO
CREATE TRIGGER trgCreateLogin 
ON ALL SERVER 
FOR CREATE_LOGIN 
AS 
  PRINT 'Versuch, einen Login anzulegen.'
  PRINT  cast(EVENTDATA() as nvarchar(max))
  SELECT EVENTDATA().value('(/EVENT_INSTANCE/ObjectType)[1]','nvarchar(max)')
  ROLLBACK
GO
-- Entfernen
DROP TRIGGER trgCreateLogin
ON ALL SERVER
GO
-- Test
CREATE LOGIN AntonEbenhof WITH PASSWORD = 'Ebenhof' 
GO

-- Ergebnis
/*
<EVENT_INSTANCE>
  <EventType>CREATE_LOGIN</EventType>
  <PostTime>2007-03-14T00:42:22.767</PostTime>
  <SPID>53</SPID>
  <ServerName>Hlzemann\COMELIO</ServerName>
  <LoginName>Hlzemann\Elvira</LoginName>
  <ObjectName>AntonEbenhof</ObjectName>
  <ObjectType>LOGIN</ObjectType>
  <DefaultLanguage>Deutsch</DefaultLanguage>
  <DefaultDatabase>master</DefaultDatabase>
  <LoginType>SQL Login</LoginType>
  <SID>THs/OHd4uUewob1RQOrd0Q==</SID>
</EVENT_INSTANCE>
*/